<?php

if (!empty($_FILES['file']))
{
	$dir = HOME.'/files/audio/'.$user_id;
	if (!is_dir($dir)) mkdir(HOME.'/files/audio/'.$user_id,0777);

	$file_name = $_FILES['file']['name'];
	$file_size = $_FILES['file']['size'];
   // if ($file_size < 1024 || $file_size >= 1024 * 30000) $err = true;
	if(!preg_match("/.mp3/i", $file_name)) $err = true;
	if ($err == false)
	{
       
		$media = new ffmpeg_movie($_FILES['file']['tmp_name']);
		$media = HOME.'/upload/ffmpeg/ffmpeg.exe';
		$bitrate = $media->getBitRate();
		if (intval($media->getDuration())>3599) $duration = intval($media->getDuration()/3600).":".date('s',fmod($media->getDuration()/60,60)).":".date('s',fmod($media->getDuration(),3600));
elseif (intval($media->getDuration())>59) $duration = intval($media->getDuration()/60).":".date('s',fmod($media->getDuration(),60));
else $duration = intval($media->getDuration());
		

		if (empty($artist)) $artist = 'Track'.($user['count_audio']+1);
	
		

		if ($err == false && copy($_FILES['file']['tmp_name'], HOME.'/files/audio/'.$user_id.'/'.$file_name) == true)
		{
			mysql_query("UPDATE `users` SET count_audio=count_audio+1 WHERE `id` = '".$user_id."'");
			mysql_query("INSERT INTO `audio` SET `artist` = '".check($file_name)."', `file` = '".check($file_name)."', `duration` = '".$duration."', `dir` = '".$user_id."', `time` = '".time()."'");
			$track_id = mysql_insert_id();
			
			if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `audioplaylist` WHERE `user_id` = '".$user_id."' LIMIT 1"),0) == false) mysql_query("INSERT INTO `audioplaylist` SET `user_id` = '".$user_id."', `tracks` = '|".$track_id."|', `count` = 1");
			else
			{
				$arr_pl = mysql_fetch_array(mysql_query("SELECT * FROM `audioplaylist` WHERE `user_id` = '".$user_id."' LIMIT 1"));
				if (!in_array($track_id, explode("||", substr($arr_pl['tracks'], 1, -1)))) mysql_query("UPDATE `audioplaylist` SET `tracks` = '|".$track_id."|".$arr_pl['tracks']."', count=count+1 WHERE `user_id` = '".$user_id."'");
			}
			if ($ajax_query == true) exit;
		}
	}
}

?>
<script type="text/javascript">
$(function(){
	$('#form').on('submit', function(e){
    e.preventDefault();
    var $that = $(this),
        formData = new FormData($that.get(0));
    $.ajax({
      url: $that.attr('action'),
      type: $that.attr('method'),
      contentType: false,
      processData: false,
      data: formData,
      dataType: 'json',
      xhr: function(){
	        var xhr = $.ajaxSettings.xhr(); // получаем объект XMLHttpRequest
        xhr.upload.addEventListener('progress', function(evt){ // добавляем обработчик события progress (onprogress)
 		$('#notifications').html('<?echo '<p>'.lang('Загрузка...','Завантаження аудіо').'</p>';?><progress id="progressbar" value="0" max="100"></progress>').show();
		var progressBar = $('#progressbar');
         if(evt.lengthComputable) { // если известно количество байт
            // высчитываем процент загруженного
            var percentComplete = Math.ceil(evt.loaded / evt.total * 100);
            // устанавливаем значение в атрибут value тега <progress>
            // и это же значение альтернативным текстом для браузеров, не поддерживающих <progress>
            progressBar.val(percentComplete).text(percentComplete + '%');
				if(percentComplete == 100)
				{
					$('#notifications').hide();
					Page.Go($that.attr('action')+'&r=<?echo time();?>');
				}
          }
        }, false);
        return xhr;
      },
      success: function(json){
        if(json){
          $that.after(json);
        }
      }
    });
  });
});
</script>
